@charset "UTF-8";

/* add required label */
form label.required:after {
	content: ' *';
	color: #e46a76;
}

.search-section input, .search-section select {
	/* height:40px !important; */
	height:32px !important;
}

.search-section .form-group {
	margin-bottom: 0rem;
	height: 35px;
}

.search-section .form-checkbox {
	position: relative;
	display: block;
	/* margin-top: 10px;
	margin-bottom: 10px; */
	margin-top: 5px;
	margin-bottom: 5px;
}
.search-section .has-float-label label::after,
.search-section .has-float-label>span::after {
	background-color: transparent !important;
}

.input-group-append .input-group-text, .input-group-prepend .input-group-text {
	/* padding: 0.5rem 0.75rem; */
	padding: 0.375rem 0.5rem;
}

select.custom-select {
	font-size: .75rem;
}

div.pagination-group {
	position: relative;
	display: inline-flex;
	vertical-align: middle;
}

/* ie에서 pagination css 틀어짐으로 인해 추가 */
nav.d-inline-block {
	vertical-align: middle;
}

select.pagination-control {
	color: #000000;
	border-color: #f2f2f2;
	border-radius: 0.2rem;
	/* font-size: .875rem; */
	/* font-size: .75rem; */
	padding: 0.225rem 0.25rem;
	line-height: 1.5;
	font: inherit;
}

.form-invalid {
	border-color: #e46a76 !important;
	padding-right: calc(1.5em + .75rem) !important;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23e46a76' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23e46a76' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E") !important;
	background-repeat: no-repeat !important;
	background-position: center right calc(.375em + .1875rem) !important;
	background-size: calc(.75em + .375rem) calc(.75em + .375rem) !important;
}
.form-invalid:focus {
	border-color: #e46a76 !important;
	box-shadow: 0 0 0 0.2rem rgba(228, 106, 118, 0.25) !important;
}

.form-valid {
	border-color: #00c292 !important;
	padding-right: calc(1.5em + 0.75rem) !important;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2300c292' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e") !important;
	background-repeat: no-repeat !important;
	background-position: center right calc(0.375em + 0.1875rem) !important;
	background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem) !important;
}
.form-valid:focus {
	border-color: #00c292 !important;
	box-shadow: 0 0 0 0.2rem rgba(0, 194, 146, 0.25) !important;
}

.form-invalid-feedback {
	display: inline-block;
	width: 100%;
	margin-top: 0.25rem;
	font-size: 80%;
	color: #e46a76;
}

/* card-split */
div.card-split .card {
	background-color: transparent !important; 
	float: left;
}
div.card-split .card-header {
	/* background-color: #fff; */background-color: #f5f5f5;
	border-bottom:1px dotted #e6e6e6;
	border-top: 2px solid #d2d6de;
	border-left: 1px solid #bdbdbd;
	border-right: 1px solid #bdbdbd;
}
div.card-split .card-body {
	background-color: #fff; 
	overflow-y: auto;
	border-left: 1px solid #bdbdbd;
	border-right: 1px solid #bdbdbd;
	border-bottom: 1px solid #bdbdbd;
}

/* modal size */
@media (min-width: 1200px) {
	div.modal-dialog.modal-xxl {max-width: 1760px;}
}
/* modal size */
@media (max-width: 1200px) {
	div.modal-dialog.modal-xxl {max-width: 1200px;}
}

.card-header > h4 {
	margin-bottom: 0;
}

.color-unset {
	color: inherit !important;
	background-color: transparent !important;
}

/*
 * ellipsis
 * - bootstrap4 add class) .text-truncate
 * - example1) <div class="text-truncate col-10">bla bla</div>
 * - example2) <span class="d-inline-block text-truncate col-10">bla bla</span>
 */
.text-ellipsis {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

/* index */
.index {
	height: 45vh;
	padding-top: 0.25rem !important;
	padding-bottom: 0.25rem !important;
}
.index-border {
	border: 1px solid #b9b9b9 !important;
	height: 100%;
	margin-bottom: 0;
}
.more-move {
	position: absolute;
	right: 10px;
	top: 10px;
}

/**/
.border {
	border: 1px solid #b9b9b9 !important;
	height: auto;
}

.login {
	height: 50px;
}
.card-group {
	margin-bottom: 0 !important;
}
.card-group .card {
	border-right: 0px;
	padding-right: 3px;
	padding-left: 0px;
}
.card-group .card:last-child {
	padding-right: 0px;
}
.card-footer {
	/* padding: 0rem 1rem 1rem 1rem; */
	padding: 0rem 1rem 0.75rem 1rem  !important;
	background-color: inherit;
}
.form-actions {
	padding-top: 0.5rem;
}
dt.none:after {
	background: inherit !important;
}

.ribbon {
	top: 0px;
	left: -5px;
}

.ribbon-vwrapper {
	padding: 5px 5px 10px 30px;
	margin-bottom: 15px;
}

.cursor-pointer {
	cursor: pointer;
}

/* Table Size override */
.table th, .table td {
	padding: 0 10px;
	vertical-align: inherit;
	height: 38px;
}


/* fullcalendar */
.fc-state-active {
	color: #333333 !important;
	background-color: #e6e6e6 !important;
}

/* header */
.navbar-collapse {
	height: 40px;
}

/* topbar */
.topbar .top-navbar .navbar-header .navbar-brand b {
	line-height: 40px;
}

/* sidebar */
.sidebar-nav > ul > li {
	margin-bottom: auto;
	margin-top: auto;
}
.sidebar-nav ul li a {
	padding: 9px 35px 9px 15px;
}
.sidebar-nav #sidebarnav .ui-hide-menu {
	display: none;
}
.sidebar-nav #sidebarnav .ui-show-menu {
	display: block;
}

/* custom-control */
.custom-control {
	/* display: flex; */
}

.zetworks-nestable.dd {
	max-width: 100%;
}

/* skin-btn */
.skin-default .skin-btn,
.skin-default-dark .skin-btn {
	background: #4F5467;
	border-color: #4F5467;
	color: rgba(255, 255, 255, 0.8);
}
.skin-green .skin-btn,
.skin-green-dark .skin-btn {
	background: #00c292;
	border-color: #00c292;
	color: rgba(255, 255, 255, 0.8);
}
.skin-megna .skin-btn,
.skin-megna-dark .skin-btn {
	background: #01c0c8;
	border-color: #01c0c8;
	color: rgba(255, 255, 255, 0.8);
}
.skin-purple .skin-btn,
.skin-purple-dark .skin-btn {
	background: #6f42c1;
	border-color: #6f42c1;
	color: rgba(255, 255, 255, 0.8);
}
.skin-red .skin-btn,
.skin-red-dark .skin-btn {
	background: #e46a76;
	border-color: #e46a76;
	color: rgba(255, 255, 255, 0.8);
}
.skin-blue .skin-btn,
.skin-blue-dark .skin-btn {
	background: #03a9f3;
	border-color: #03a9f3;
	color: rgba(255, 255, 255, 0.8);
}

/* bug fix */
/*
 * skin-default-dark (color/background mismatch) 
 * before : #fb9678
 * after  : #4f5467
 */
.skin-default-dark {
  /*Theme Colors*/ }
  .skin-default-dark .topbar {
    background: #4f5467; }
  .skin-default-dark .sidebar-nav ul li a.active, .skin-default-dark .sidebar-nav ul li a:hover {
    color: #4f5467; }
    .skin-default-dark .sidebar-nav ul li a.active i, .skin-default-dark .sidebar-nav ul li a:hover i {
      color: #4f5467; }
  .skin-default-dark .sidebar-nav > ul > li.active > a {
    color: #4f5467;
    border-left: 3px solid #4f5467; }
    .skin-default-dark .sidebar-nav > ul > li.active > a i {
      color: #4f5467; }
  .skin-default-dark .page-titles .breadcrumb .breadcrumb-item.active {
    color: #4f5467; }
  .skin-default-dark .topbar .top-navbar .navbar-header .navbar-brand .dark-logo {
    display: none; }
  .skin-default-dark .topbar .top-navbar .navbar-header .navbar-brand .light-logo {
    display: inline-block;
    color: rgba(255, 255, 255, 0.8); }
  .skin-default-dark .left-sidebar {
    background: #2b2b2b; }
    .skin-default-dark .left-sidebar .user-pro-body a.link {
      color: #5e5e5e; }
  @media (min-width: 768px) {
    .skin-default-dark.mini-sidebar .sidebar-nav #sidebarnav > li > ul, .skin-default-dark.mini-sidebar .sidebar-nav #sidebarnav > li:hover > a {
      background: #1f2023; } }


@media (max-width:1199px) {
	.index {
		height: inherit;
	}
}

@media (max-width:1170px) {
	.fixed-layout .page-wrapper {
		padding-top:40px;
	}
}

@media (max-width:768px) {
	dt.none, dd.none {
		display: none;
	}
}

@media (max-width: 575px) {
	.card-group .card {
		padding-right: 0px;
	}
}

@media (min-width:768px) {
	/* sidebar */
	.mini-sidebar .sidebar-nav #sidebarnav > li > a {
		padding: 9px 35px 9px 25px;
	}
	/* .mini-sidebar .sidebar-nav #sidebarnav > li:hover > a .hide-menu {
		padding-left: 20px;
	} */
	.mini-sidebar .sidebar-nav #sidebarnav > li > ul {
		top: 28px;
	}
}

.pagination-sm .page-link {
	font-size: inherit;
}
.pagination .page-item .page-link {
	border: 1px solid #dee2e6;
	margin-left: -1px;
}
.pagination .page-item.active .page-link, .pagination .page-item.active .page-link:hover {
	border-radius: inherit;
}
.table {
	margin-bottom: inherit;
}
.badge {
	font-size: 0.9em;
}

.w-5 {
	width: 5% !important;
}
.w-10 {
	width: 10% !important;
}
.w-15 {
	width: 15% !important;
}
.w-20 {
	width: 20% !important;
}
.w-25 {
	width: 25% !important;
}
.w-30 {
	width: 30% !important;
}
.w-35 {
	width: 35% !important;
}
.w-40 {
	width: 40% !important;
}
.w-45 {
	width: 45% !important;
}
.w-50 {
	width: 50% !important;
}
.w-55 {
	width: 55% !important;
}
.w-60 {
	width: 60% !important;
}
.w-65 {
	width: 65% !important;
}
.w-70 {
	width: 70% !important;
}
.w-75 {
	width: 75% !important;
}
.w-80 {
	width: 80% !important;
}
.w-85 {
	width: 85% !important;
}
.w-90 {
	width: 90% !important;
}
.w-95 {
	width: 95% !important;
}
.w-100 {
	width: 100% !important;
}
.width-5 {
	width: 5px !important;
}
.width-10 {
	width: 10px !important;
}
.width-15 {
	width: 15px !important;
}
.width-20 {
	width: 20px !important;
}
.width-25 {
	width: 25px !important;
}
.width-30 {
	width: 30px !important;
}
.width-35 {
	width: 35px !important;
}
.width-40 {
	width: 40px !important;
}
.width-45 {
	width: 45px !important;
}
.width-50 {
	width: 50px !important;
}
.width-55 {
	width: 55px !important;
}
.width-60 {
	width: 60px !important;
}
.width-65 {
	width: 65px !important;
}
.width-70 {
	width: 70px !important;
}
.width-75 {
	width: 75px !important;
}
.width-80 {
	width: 80px !important;
}
.width-85 {
	width: 85px !important;
}
.width-90 {
	width: 90px !important;
}
.width-95 {
	width: 95px !important;
}
.width-100 {
	width: 100px !important;
}
.width-150 {
	width: 150px !important;
}
.width-200 {
	width: 200px !important;
}
.width-250 {
	width: 250px !important;
}
.width-300 {
	width: 300px !important;
}
.width-350 {
	width: 350px !important;
}

/* select2 */
.select2-selection__rendered {
	/* font-size: 1rem; */
	color: rgb(71, 95, 123);
	font-weight: 400;
}
.select2-selection, .select2-search__field:focus { 
	outline: none; 
}
.search-section .has-float-label > span.select2 {
	top:0;
	left:0;
	padding:0;
}

select.form-invalid + .select2-container--classic .select2-selection--single,
select.form-invalid + .select2-container--default .select2-selection--single {
	border-color: #e46a76 !important;
}

/*
 * scroll bar
 */
html > body *::-webkit-scrollbar { width: 8px; height:8px; }
html > body *::-webkit-scrollbar-track { background-color:#f1f1f1; border-radius: 10px;}
html > body *::-webkit-scrollbar-thumb { background: #c1c1c1; border-radius: 10px; cursor: pointer;}
html > body *::-webkit-scrollbar-button { display: none; }

/*
 * notify
 */
.jq-toast-wrap { width: 350px !important; }
.jq-icon-approval { background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII='); background-color: #166192; color: #000; border-color: #166192; }
.jq-icon-board { background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII='); background-color: #137110; color: #000; border-color: #137110; }
.jq-icon-mail { background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII='); background-color: #983778; color: #000; border-color: #983778; }
@media (max-width: 435px) {
	.jq-toast-wrap { width: 100% !important; }
	.jq-toast-wrap.bottom-right { right: 0px !important; }
}

/*
 * avatar
 */
.avatar-wrapper {
	width:100%;
}
.avatar {
	position: relative;
	height: 150px;
	width: 150px;
	overflow: hidden;
	border-radius:50%;
	transition: all .3s ease;
	margin:15px auto;
	border:1px solid #e9ecef;
}
.avatar:hover{
	transform: scale(1.05);
	cursor: pointer;
}
.avatar:hover .avatar-photo{
	opacity: .5;
}
.avatar .avatar-photo {
	height: 100%;
	width: 100%;
	transition: all .3s ease;
}
.avatar .avatar-photo:after{
	font-family: FontAwesome;
	content: "\f007";
	top: 0; left: 0;
	width: 100%;
	height: 100%;
	position: absolute;
	font-size: 100px;
	background: #ecf0f1;
	color: #34495e;
	text-align: center;
}
.avatar .upload-button {
	position: absolute;
	top: 0; left: 0;
	height: 100%;
	width: 100%;
}
.avatar .upload-button .fa-arrow-circle-up{
	position: absolute;
	font-size: 152px;
	top: -3px;
	left: -2px;
	text-align: center;
	opacity: 0;
	transition: all .3s ease;
	color: #34495e;
}
.avatar .upload-button:hover .fa-arrow-circle-up {
	opacity: .9;
}
.employee-info-avatar {
	width:150px; 
	max-height:170px;
	box-shadow: 2px 2px 2px #adadad;
}

.bootstrap-select .dropdown-menu {
	font-size: 12px;
}
.bootstrap-select .dropdown-menu li a {
	padding: 5px 17px;
}

/*
 * ViewTag Common Module
 */
.action-view {
	color: #212529;
}
.action-view:hover, .action-view:focus {
	color: #212529;
}

/*
 * Skin Color
 */
.skin-default .bg-skin,
.skin-default-dark .bg-skin {
	background-color: #4F5467;
}
.skin-green .bg-skin,
.skin-green-dark .bg-skin {
	background-color: #00c292;
}
.skin-red .bg-skin,
.skin-red-dark .bg-skin {
	background-color: #e46a76;
}
.skin-blue .bg-skin,
.skin-blue-dark .bg-skin {
	background-color: #03a9f3;
}
.skin-purple .bg-skin,
.skin-purple-dark .bg-skin {
	background-color: #6f42c1;
}
.skin-megna .bg-skin,
.skin-megna-dark .bg-skin {
	background-color: #01c0c8;
}

/*
 * Skin Color
 */
.skin-default .text-skin,
.skin-default .text-skin-hover:hover,
.skin-default-dark .text-skin,
.skin-default-dark .text-skin-hover:hover {
	color: #fb9678;
}
.skin-green .text-skin,
.skin-green .text-skin-hover:hover,
.skin-green-dark .text-skin,
.skin-green-dark .text-skin-hover:hover {
	color: #00c292;
}
.skin-red .text-skin,
.skin-red .text-skin-hover:hover,
.skin-red-dark .text-skin,
.skin-red-dark .text-skin-hover:hover {
	color: #e46a76;
}
.skin-blue .text-skin,
.skin-blue .text-skin-hover:hover,
.skin-blue-dark .text-skin,
.skin-blue-dark .text-skin-hover:hover {
	color: #03a9f3;
}
.skin-purple .text-skin,
.skin-purple .text-skin-hover:hover,
.skin-purple-dark .text-skin,
.skin-purple-dark .text-skin-hover:hover {
	color: #6f42c1;
}
.skin-megna .text-skin,
.skin-megna .text-skin-hover:hover,
.skin-megna-dark .text-skin,
.skin-megna-dark .text-skin-hover:hover {
	color: #01c0c8;
}